From: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>

dm-snap can use this interface to get the information of available
snapshots (such as the number of current snapshots) from exception
store code.

[Needs more thought - AGK]

Signed-off-by: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
---
 drivers/md/dm-snap.h |    6 ++++++
 1 files changed, 6 insertions(+)

Index: linux-2.6.28-rc3/drivers/md/dm-snap.h
===================================================================
--- linux-2.6.28-rc3.orig/drivers/md/dm-snap.h	2008-11-07 13:15:38.000000000 +0000
+++ linux-2.6.28-rc3/drivers/md/dm-snap.h	2008-11-07 13:15:41.000000000 +0000
@@ -139,6 +139,12 @@ struct exception_store {
 	int (*message)(struct exception_store *store, unsigned argc,
 		       char **argv);
 
+	/*
+	 * get the info about available snapshot
+	 */
+	u32 (*get_snapshot_info)(struct exception_store *store,
+				 unsigned long *map, size_t size);
+
 	struct dm_snapshot *snap;
 	void *context;
 };
